ランタイム: Mix::Graphics::IVertexBuffer Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Graphics::IVertexBuffer Class Referenceabstract

バーテックスバッファインターフェース More...

`#include <IVertexBuffer.h>`

Inheritance diagram for Mix::Graphics::IVertexBuffer:
[legend]
Collaboration diagram for Mix::Graphics::IVertexBuffer:
[legend]

## Public Member Functions

virtual Boolean | Lock (void)=0
| ロックし、書き込める状態にします More...
virtual void | Unlock (void)=0
| アンロックし、描画できる状態にします More...
virtual Boolean | Push (const void *pData, UInt32 count)=0
| 頂点を書き込みます More...
virtual void * | Push (UInt32 count)=0
| 頂点の書き込み予約をします More...
virtual void | Clear (void)=0
| 書き込まれている頂点をクリアします More...
virtual UInt32 | GetStride (void) const =0
| ストライド( バイト単位 )を取得します More...
virtual UInt32 | GetCount (void) const =0
| 書き込まれている頂点数を取得します More...
virtual UInt32 | GetCapacity (void) const =0
| 書き込める最大頂点数を取得します More...
Public Member Functions inherited from Mix::Graphics::IDeviceObject
virtual Mix::Graphics::IDeviceObject::TYPE | GetType (void) const =0
| タイプを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IVertexBuffer (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Graphics::IDeviceObject
virtual | ~IDeviceObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Graphics::IDeviceObject
enum | TYPE { VERTEX_LAYOUT = 0, COMPUTE_SHADER = 1, HULL_SHADER = 2, DOMAIN_SHADER = 3, GEOMETRY_SHADER = 4, VERTEX_SHADER = 5, PIXEL_SHADER = 6, SHADER_CONSTANT = 7, VERTEX_BUFFER = 8, INDEX_BUFFER = 9, TEXTURE = 10, QUERY = 11 }
| タイプ列挙定数 More...

## Detailed Description

バーテックスバッファインターフェース

## Constructor & Destructor Documentation

virtual Mix::Graphics::IVertexBuffer::~IVertexBuffer | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Graphics::IVertexBuffer::Lock | ( | void |  | ) |

pure virtual

ロックし、書き込める状態にします

Returns
  成功した場合は True を返します

virtual void Mix::Graphics::IVertexBuffer::Unlock | ( | void |  | ) |

pure virtual

アンロックし、描画できる状態にします

virtual Boolean Mix::Graphics::IVertexBuffer::Push | ( | const void * | pData,
|  | UInt32 | count
| ) |  |

pure virtual

頂点を書き込みます

Parameters

  [in] | pData | 書き込む頂点のポインタ
  [in] | count | 書き込む頂点の数

Returns
  成功した場合は True を返します

Note
  このメソッドを使用する場合は、事前にロックしておく必要があります

virtual void* Mix::Graphics::IVertexBuffer::Push | ( | UInt32 | count | ) |

pure virtual

頂点の書き込み予約をします

Parameters

  [in] | count | 書き込む頂点の数

Returns
  成功した場合は、書き込み先のポインタを返します
  失敗した場合は NULL を返します

Note
  このメソッドを使用する場合は、事前にロックしておく必要があります

virtual void Mix::Graphics::IVertexBuffer::Clear | ( | void |  | ) |

pure virtual

書き込まれている頂点をクリアします

virtual UInt32 Mix::Graphics::IVertexBuffer::GetStride | ( | void |  | ) | const

pure virtual

ストライド( バイト単位 )を取得します

Returns
  ストライドを返します

virtual UInt32 Mix::Graphics::IVertexBuffer::GetCount | ( | void |  | ) | const

pure virtual

書き込まれている頂点数を取得します

Returns
  書き込まれている頂点数を取得します

virtual UInt32 Mix::Graphics::IVertexBuffer::GetCapacity | ( | void |  | ) | const

pure virtual

書き込める最大頂点数を取得します

Returns
  書き込める最大頂点数を返します

The documentation for this class was generated from the following file:

- Mix/Graphics/IVertexBuffer.h